﻿<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns="http://www.springframework.net">

  <object id="ResourceService" type="Sliverant.Web.Common.Utils.ResourceHelper, Sliverant.Web.Common" >
    <property name="CultureService" ref="CultureService"/>
  </object>
  <object id="SessionService" type="Sliverant.Web.Common.Utils.SessionHelper, Sliverant.Web.Common" />
  <object id="CultureService" type="Sliverant.Web.Common.Utils.CultureHelper, Sliverant.Web.Common" >
    <property name="SessionService" ref="SessionService"/>
  </object>

  <object id="messageSource" type="Spring.Context.Support.ResourceSetMessageSource, Spring.Core">
    <property name="ResourceManagers">
      <list>
        <value>EPPW.CommonResource.MessageResource, EPPW.CommonResource</value>
      </list>
    </property>
  </object>
</objects>
<!--<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns="http://www.springframework.net">
	<object id="UserStorage" type="EPPW.Web.Storages.UserStorage, EPPW.Web" />
  <object id="StorageProvider" type="SliverAnt.Web.Mvc.Providers.DefaultStorageProvider, SliverAnt.Web.Mvc"  />

  <object id="CultureProvider" type="SliverAnt.Web.Mvc.Providers.DefaultCultureProvider, SliverAnt.Web.Mvc"  >
    <property name="StorageProvider" ref="StorageProvider" />
  </object>
	
  <object id="ResourceProvider" type="SliverAnt.Web.Mvc.Providers.DefaultResourceProvider, SliverAnt.Web.Mvc"  >
    <property name="StorageProvider" ref="StorageProvider" />
    <property name="CultureProvider" ref="CultureProvider" />
    <property name="MessageSource" ref="messageSource"/>
    <property name="ResourceName" value="MessageResource" />
  </object>

  <object id="messageSource" type="Spring.Context.Support.ResourceSetMessageSource, Spring.Core">
    <property name="ResourceManagers">
      <list>
        <value>EPPW.CommonResource.MessageResource, EPPW.CommonResource</value> 
      </list>
    </property>
  </object>


</objects>-->
